<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence du fichier src/wrapper.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('wrapper_8c.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier wrapper.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contient les fonctions pour gérer la gestion des fichiers.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="wrapper_8h_source.html">../inc/wrapper.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:af8639a317ba386d274925c54d34750ec"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#af8639a317ba386d274925c54d34750ec">my_mkdir</a> (char *dir_path)</td></tr>
<tr class="memdesc:af8639a317ba386d274925c54d34750ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Création d'un nouveau répertoire.  <a href="#af8639a317ba386d274925c54d34750ec">Plus de détails...</a><br /></td></tr>
<tr class="separator:af8639a317ba386d274925c54d34750ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c8dd6df1b15bce33e8ecda6640bea10"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#a0c8dd6df1b15bce33e8ecda6640bea10">my_rmdir</a> (char *dir_path)</td></tr>
<tr class="memdesc:a0c8dd6df1b15bce33e8ecda6640bea10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suppression d'un répertoire.  <a href="#a0c8dd6df1b15bce33e8ecda6640bea10">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0c8dd6df1b15bce33e8ecda6640bea10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dbf1c44c38c45cb904885ee84e02dda"><td class="memItemLeft" align="right" valign="top">DIR *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#a0dbf1c44c38c45cb904885ee84e02dda">my_opendir</a> (char *dir_path)</td></tr>
<tr class="memdesc:a0dbf1c44c38c45cb904885ee84e02dda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Ouverture d'un répertoire.  <a href="#a0dbf1c44c38c45cb904885ee84e02dda">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0dbf1c44c38c45cb904885ee84e02dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4e2d8ebeb70f69f794a87dd5b0a5530"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#ac4e2d8ebeb70f69f794a87dd5b0a5530">my_closedir</a> (DIR *dir)</td></tr>
<tr class="memdesc:ac4e2d8ebeb70f69f794a87dd5b0a5530"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fermeture d'un répertoire.  <a href="#ac4e2d8ebeb70f69f794a87dd5b0a5530">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac4e2d8ebeb70f69f794a87dd5b0a5530"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4685db44f12fc886fd49c080e4b7805"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#ac4685db44f12fc886fd49c080e4b7805">my_rm</a> (char *pathname)</td></tr>
<tr class="memdesc:ac4685db44f12fc886fd49c080e4b7805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fermeture d'un fichier.  <a href="#ac4685db44f12fc886fd49c080e4b7805">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac4685db44f12fc886fd49c080e4b7805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8dc1b8f39c8b2f9c396d5d1031737b2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="wrapper_8c.html#ac8dc1b8f39c8b2f9c396d5d1031737b2">my_ln</a> (char *oldpath, char *newpath)</td></tr>
<tr class="memdesc:ac8dc1b8f39c8b2f9c396d5d1031737b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fermeture d'un fichier.  <a href="#ac8dc1b8f39c8b2f9c396d5d1031737b2">Plus de détails...</a><br /></td></tr>
<tr class="separator:ac8dc1b8f39c8b2f9c396d5d1031737b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77f985103c2ddaef5b9c878cf18bc72b"><td class="memItemLeft" align="right" valign="top"><a id="a77f985103c2ddaef5b9c878cf18bc72b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>write_file</b> (char *dir_path, char *file_name)</td></tr>
<tr class="separator:a77f985103c2ddaef5b9c878cf18bc72b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3ebead44f76a8657a766bbd8c452606"><td class="memItemLeft" align="right" valign="top"><a id="ac3ebead44f76a8657a766bbd8c452606"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>read_file</b> (char *dir_path, char *file_name)</td></tr>
<tr class="separator:ac3ebead44f76a8657a766bbd8c452606"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Contient les fonctions pour gérer la gestion des fichiers. </p>
<dl class="section author"><dt>Auteur</dt><dd>Abdennadher Raed &amp; Antoniadis Orphée </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>27 janvier 2017 </dd></dl>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="ac4e2d8ebeb70f69f794a87dd5b0a5530"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4e2d8ebeb70f69f794a87dd5b0a5530">&#9670;&nbsp;</a></span>my_closedir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int my_closedir </td>
          <td>(</td>
          <td class="paramtype">DIR *&#160;</td>
          <td class="paramname"><em>dir</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fermeture d'un répertoire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dir</td><td>Répertoire à fermer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>0 si tout est bien passé, 1 sinon </dd></dl>

</div>
</div>
<a id="ac8dc1b8f39c8b2f9c396d5d1031737b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8dc1b8f39c8b2f9c396d5d1031737b2">&#9670;&nbsp;</a></span>my_ln()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int my_ln </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>oldpath</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>newpath</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fermeture d'un fichier. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">oldpath</td><td>Path du fichier à lier </td></tr>
    <tr><td class="paramname">newpath</td><td>Path du lien </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>0 si tout est bien passé, 1 sinon </dd></dl>

</div>
</div>
<a id="af8639a317ba386d274925c54d34750ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8639a317ba386d274925c54d34750ec">&#9670;&nbsp;</a></span>my_mkdir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int my_mkdir </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dir_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Création d'un nouveau répertoire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dir_path</td><td>Path du répertoire à créer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>0 si tout est bien passé, 1 sinon </dd></dl>

</div>
</div>
<a id="a0dbf1c44c38c45cb904885ee84e02dda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0dbf1c44c38c45cb904885ee84e02dda">&#9670;&nbsp;</a></span>my_opendir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DIR * my_opendir </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dir_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Ouverture d'un répertoire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dir_path</td><td>Path du répertoire à ouvrir </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Le répertoire ouvert, NULL sinon </dd></dl>

</div>
</div>
<a id="ac4685db44f12fc886fd49c080e4b7805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4685db44f12fc886fd49c080e4b7805">&#9670;&nbsp;</a></span>my_rm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int my_rm </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>pathname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fermeture d'un fichier. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">pathname</td><td>Path du fichier à fermer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>0 si tout est bien passé, 1 sinon </dd></dl>

</div>
</div>
<a id="a0c8dd6df1b15bce33e8ecda6640bea10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c8dd6df1b15bce33e8ecda6640bea10">&#9670;&nbsp;</a></span>my_rmdir()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int my_rmdir </td>
          <td>(</td>
          <td class="paramtype">char *&#160;</td>
          <td class="paramname"><em>dir_path</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Suppression d'un répertoire. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dir_path</td><td>Path du répertoire à supprimer </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>0 si tout est bien passé, 1 sinon </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="wrapper_8c.html">wrapper.c</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
